Skills
Update a skill
Modifies the specified skill's configuration.
Parametry cesty
name
string
vyžadováno
The name of the skill to update.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Text požadavku
default_version
string
vyžadováno
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Odpovědi
The request has succeeded.
Text
id
string
vyžadováno
The unique identifier of the skill.
name
string
vyžadováno
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
vyžadováno
A human-readable description of the skill.
default_version
string
vyžadováno
The default version for the skill. Can be changed via updateSkill.
latest_version
string
vyžadováno
The latest version for the skill.
Žádost
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json